Telerik control version vs .NET framework

6 posts, 0 answers
  1. Rhbkv
    Rhbkv avatar
    30 posts
    Member since:
    Jun 2012

    Posted 20 Sep 2014 Link to this post

    Hi,

    I am using Telerik control version 2012.3.1322.40 on my web application with .net framework 4.0. I would like to upgrade / convert my webapplication for .net Framework 4.5. Would Telerik control version 2012.3.1322.40 supports .net framework 4.5 or should I upgrade telerik control version as well?

    Which version of .net framework is supportable by Telerik control version 2012.3.1322.40?
    Thanks.
  2. Jayesh Goyani
    Jayesh Goyani avatar
    2732 posts
    Member since:
    May 2010

    Posted 21 Sep 2014 in reply to Rhbkv Link to this post

    Hello,

    Yes, no need to update telerik version for .net framework 4.5.

    It is good if you will update your telerik DLL vserion because  in new version there are some new controls added and new theme added (which was supported HTML5/CSS3).

    Let me know if you required more information.

    Thanks,
    Jayesh Goyani
  3. UI for ASP.NET Ajax is Ready for VS 2017
  4. Rhbkv
    Rhbkv avatar
    30 posts
    Member since:
    Jun 2012

    Posted 22 Sep 2014 in reply to Jayesh Goyani Link to this post

    Thanks Jayesh.
    Could you please let me know where I can find some documentation about the basic system /application requirement for each version of telerik controls

    Thanks
  5. Jayesh Goyani
    Jayesh Goyani avatar
    2732 posts
    Member since:
    May 2010

    Posted 22 Sep 2014 in reply to Rhbkv Link to this post

    Hi,

    Can you please check the below link?

    Release History
    What's New

    Thanks,
    Jayesh Goyani
  6. Rhbkv
    Rhbkv avatar
    30 posts
    Member since:
    Jun 2012

    Posted 22 Sep 2014 in reply to Jayesh Goyani Link to this post

    Thanks again Jayesh for prompt response.

    I see the release notes and changes were done each release. But could not find out the minimum / maximum system requirement (like .net version, browser verson etc) need to use each version of telerik control.

    Could you please help me on this.
    Thanks again!
  7. Jayesh Goyani
    Jayesh Goyani avatar
    2732 posts
    Member since:
    May 2010

    Posted 23 Sep 2014 in reply to Rhbkv Link to this post

    Hi,

    As per my knowledge last 3-5 years version supported to .net framework 4.0 and 4.5.
    Telerik controls supported most of browsers.

    Can you please use the latest version?
    If you found any bug and issue in new version than please post that issue in this forum.

    Right now i do not have any idea about that type of document, once I will found it I will update you.

    Thanks,
    Jayesh Goyani
Back to Top
UI for ASP.NET Ajax is Ready for VS 2017